<html>
	<head> 
		<meta charset="utf-8">
		<link rel="stylesheet" href="{{ url_for('static',filename='styles/style.css') }}" type="text/css">  
		<link href='https://fonts.googleapis.com/css?family=Nunito:400,300' rel='stylesheet' type='text/css'>
	</head>
	<body>
		
		<div class="topnav" id="myTopnav">
			<a href="/">Home</a>
			<a href="consultar" class="active">Consultar</a>
			<a href="anyadir"> Añadir</a>
			<a href="borrar">Borrar</a>
			<a href="modificar">Modificar</a>
		</div>
		
		<form action="selector" method="get" onsubmit="return validacion()">
			
			<h1>Consultar</h1>
			<legend><span class="punto"></span>De la siguiente tabla:</legend>
			<select id="tablas" name="tablas">
				<option value="productos" onclick="myFunction1()">Productos</option>
				<option value="fabricantes" onclick="myFunction2()">Fabricantes</option>
				<option value="tipos" onclick="myFunction3()">Tipos</option>
			</select>
			
			<div id="productos">
				<legend><span class="punto"></span>Seleccionar:</legend>
				<input type="checkbox" id="myCheck0" onclick="myFunction()">Marcar/desmarcar todas las opciones<br>
				<input type="checkbox" id="myCheck1" name="todo2" value="*">Todo
				<input type="checkbox" id="myCheck2" name="columna3" value="id_mat">id_material
				<input type="checkbox" id="myCheck3" name="columna4" value="descripcion">descripción
				<input type="checkbox" id="myCheck4" name="columna5" value="precio">precio
				<input type="checkbox" id="myCheck5" name="columna6" value="id_fab">id_fab<br>
				<input type="checkbox" id="myCheck6" name="columna7" value="id_tipo">id_tipo
			</div>
			
			<div id="fabricantes">
				<legend><span class="punto"></span>Seleccionar:</legend>
				<input type="checkbox" id="myCheck01" onclick="myFunction01()">Marcar/desmarcar todas las opciones<br>
				<input type="checkbox" id="myCheck02" name="todo3" value="*">Todo
				<input type="checkbox" id="myCheck03" name="columna8" value="id_fab">id_fab
				<input type="checkbox" id="myCheck04" name="columna9" value="descripcion">descripción
				<input type="checkbox" id="myCheck05" name="columna10" value="fecha_alta">fecha_alta<br><br>
			</div>
		
			<div id="tipos">
				<legend><span class="punto"></span>Seleccionar:</legend>
				<input type="checkbox" id="myCheck001" onclick="myFunction001()">Marcar/desmarcar todas las opciones<br>
				<input type="checkbox" id="myCheck002" name="todo" value="*">Todo
				<input type="checkbox" id="myCheck003" name="columna1" value="id_tipo">id_tipo
				<input type="checkbox" id="myCheck004" name="columna2" value="tipo">tipo<br><br>
			</div>
			<br><br>
			
			<input type="submit" class="myButton" value="Enviar">
			
		</form>
		
		<div id="tabla">
			
			<table border = 1>
				
				<tr>
							
					{% for c in cabecera %}
						<th> {{ c }}</th>
					{% endfor %}
					
				</tr>
					
				{% for r in rows %}
				 
					<tr>
						{% if numcab == 1 %}
							<td> {{ r[0] }} </td>
						{% endif %}
						{% if numcab == 2 %}
							<td> {{ r[0] }} </td>
							<td> {{ r[1] }} </td>
						{% endif %}
						{% if numcab == 3 %}
							<td> {{ r[0] }} </td>
							<td> {{ r[1] }} </td>
							<td> {{ r[2] }} </td>
						{% endif %}
						{% if numcab == 4 %}
							<td> {{ r[0] }} </td>
							<td> {{ r[1] }} </td>
							<td> {{ r[2] }} </td>
							<td> {{ r[3] }} </td>
						{% endif %}
						{% if numcab == 5 %}
							<td> {{ r[0] }} </td>
							<td> {{ r[1] }} </td>
							<td> {{ r[2] }} </td>
							<td> {{ r[3] }} </td>
							<td> {{ r[4] }} </td>
						{% endif %}
							
					</tr>
					
				{% endfor %}
					
			</table>
		
		</div>	
		
		<script>
			function myFunction1() {
				document.getElementById("productos").style.display = "block";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "none";
				document.getElementById("tabla").style.display = "none";
				
			}    
			function myFunction2() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "block";
				document.getElementById("tipos").style.display = "none";
				document.getElementById("tabla").style.display = "none";
			}    
			function myFunction3() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "block";
				document.getElementById("tabla").style.display = "none";
			}
			function myFunction() {
				var checkBox = document.getElementById("myCheck0");
				if (checkBox.checked == true){
					document.getElementById("myCheck1").checked = true;
					document.getElementById("myCheck2").checked = true;
					document.getElementById("myCheck3").checked = true;
					document.getElementById("myCheck4").checked = true;
					document.getElementById("myCheck5").checked = true;
					document.getElementById("myCheck6").checked = true;
				} else if (checkBox.checked == false) {
					document.getElementById("myCheck1").checked = false;
					document.getElementById("myCheck2").checked = false;
					document.getElementById("myCheck3").checked = false;
					document.getElementById("myCheck4").checked = false;
					document.getElementById("myCheck5").checked = false;
					document.getElementById("myCheck6").checked = false;
				}
			}
			function myFunction01() {
				var checkBox = document.getElementById("myCheck01");
				if (checkBox.checked == true){
					document.getElementById("myCheck01").checked = true;
					document.getElementById("myCheck02").checked = true;
					document.getElementById("myCheck03").checked = true;
					document.getElementById("myCheck04").checked = true;
					document.getElementById("myCheck05").checked = true;
				} else if (checkBox.checked == false) {
					document.getElementById("myCheck01").checked = false;
					document.getElementById("myCheck02").checked = false;
					document.getElementById("myCheck03").checked = false;
					document.getElementById("myCheck04").checked = false;
					document.getElementById("myCheck05").checked = false;
				}
			}
			function myFunction001() {
				var checkBox = document.getElementById("myCheck001");
				if (checkBox.checked == true){
					document.getElementById("myCheck001").checked = true;
					document.getElementById("myCheck002").checked = true;
					document.getElementById("myCheck003").checked = true;
					document.getElementById("myCheck004").checked = true;
				} else if (checkBox.checked == false) {
					document.getElementById("myCheck001").checked = false;
					document.getElementById("myCheck002").checked = false;
					document.getElementById("myCheck003").checked = false;
					document.getElementById("myCheck004").checked = false;
				}
			}
			function validacion() {
				tabla = document.getElementById("tablas").selectedIndex;
				if ( tabla == 0 ) {
					if( !myCheck0.checked ) {
						if( !myCheck1.checked ) {
							if( !myCheck2.checked ) {
								if( !myCheck3.checked ) {
									if( !myCheck4.checked ) {
										if( !myCheck5.checked ) {
											if( !myCheck6.checked ) {
												alert("Debes escojer como mínimo una opción.");
												return false;
											}
											return true;
										}
										return true;
									}
									return true;
								}
								return true;
							}
							return true;
						}
						return true;
					}
					return true;
				}
				else if ( tabla == 1 ) {
					if( !myCheck01.checked ) {
						if( !myCheck02.checked ) {
							if( !myCheck03.checked ) {
								if( !myCheck04.checked ) {
									if( !myCheck05.checked ) {
										alert("Debes escojer como mínimo una opción.");
										return false;
									}
									return true;
								}
								return true;
							}
							return true;
						}
						return true;
					}
					return true;
				}
				else {
					if( !myCheck001.checked ) {
						if( !myCheck002.checked ) {
							if( !myCheck003.checked ) {
								if( !myCheck004.checked ) {
									alert("Debes escojer como mínimo una opción.");
									return false;
								}
								return true;
							}
							return true;
						}
						return true;
					}
					return true;
				}
			}
			
		</script>

	</body>

</html>
